# Python Autumn 2008, Steve Geluso
# provides door sprites to compliment montyhall.py

from pygame import *
from pygame.sprite import *

class Door(Sprite):
	def __init__(self):
		Sprite.__init__(self)
		self.image = image.load("closed_door.jpg").convert()
		self.rect = self.image.get_rect()
		self.winner = False
		self.selected = False
	
	# sets the door graphic to the given image path
	def set_image(self, image_path):
		self.image = image.load(image_path).convert()
	
	# returns boolean True if door is clicked
	def select(self, click):
		if click.colliderect(self):
			self.selected = True
			self.set_image("chosen.jpg")
			return True
		else:
			return False
	
	# returns if door is currently selected
	def is_selected(self):
		return self.selected
		
	# tells the door whether it is a winner or not	
	def set_winner(self, boolean):
		self.winner = boolean
	
	# returns boolean is_winner
	def is_winner(self):
		return self.winner
		
	# reveals what is behind the door	
	def open(self):
		if self.winner:
			self.set_image("gold.jpg")
		else:
			self.set_image("goat.jpg")